import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.HeadlessException;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;

public class GlavnoOkno extends JFrame implements ActionListener {

	/**
	 * Slika, ki jo prikazujemo v glavnem oknu.
	 */
	private Platno platno;
	
	
	/**
	 * Ko uporabnik pritisne na ta gumb, se nariše slika.
	 */
	private JButton narisiGumb;

	public GlavnoOkno() throws HeadlessException {
		// Pokličemo konstruktor od nadrazreda
		super();
		// Nastavimo naslov okna.
		this.setTitle("MojaAplikacija");
		// Uporabimo grid layout
		this.getContentPane().setLayout(new GridBagLayout());
		// Naredimo sliko velikosti 500 x 500
		platno = new Platno(500, 500);
		// platnoLayout opisuje, kje stoji platno
		GridBagConstraints platnoLayout = new GridBagConstraints();
		platnoLayout.gridx = 0; // stolpec 0
		platnoLayout.gridy = 0; // vrstica 0
		this.getContentPane().add(platno, platnoLayout);
		// Gumb, ki resetira sliko
		narisiGumb = new JButton("Nariši");
		narisiGumb.addActionListener(this);
		GridBagConstraints narisiGumbLayout = new GridBagConstraints();
		narisiGumbLayout.gridx = 0;
		narisiGumbLayout.gridy = 1;
		narisiGumbLayout.weightx = 1.0;
		narisiGumbLayout.fill = GridBagConstraints.CENTER;
		this.getContentPane().add(narisiGumb, narisiGumbLayout);
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		if (e.getSource() == this.narisiGumb) {
			try {
				platno.narisi();
			} catch (InterruptedException exc) {
				exc.printStackTrace();
			}
		}
	}
}
